%define name faac
%define version 1.28
%define release %mkrel 3

%define major 0

%define libname %mklibname %name %major
%define develname %mklibname -d %name
%define __libtoolize    /bin/true

Summary: Freeware Advanced Audio Encoder
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/faac/%{name}-%{version}.tar.xz
Patch0: %{name}-libmp4v2.patch
URL:	 http://www.audiocoding.com
License: LGPLv2+
Group: Sound
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libsndfile-devel
BuildRequires: autoconf2.5
BuildRequires: dos2unix
BuildConflicts: %libname-devel < %version-%release
BuildConflicts: %develname < %version-%release
BuildRequires: libmp4v2-devel >= 2.0
Requires: glibc >= 2.20

%description
FAAC is an AAC encoder based on the ISO MPEG-4 reference code.


%package -n %libname
Summary: Free Advanced Audio Encoder shared library
Group: System/Libraries

%description -n %libname
FAAC is an AAC encoder based on the ISO MPEG-4 reference code.

This package contains the shared library needed by programs based on
libfaac.

%package -n %develname
Summary: Free Advanced Audio Encoder development files
Group: Development/Libraries
Requires: %libname = %version
Provides: lib%name-devel = %version-%release 
Obsoletes: %mklibname -d %name 0

%description -n %develname
FAAC is an AAC encoder based on the ISO MPEG-4 reference code.

This package contains the needed files for compiling programs with
libfaac.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .mp4v2
#fix permissions
find . -type f \( -name \*.h -or -name \*.c \) -exec chmod 644 {} \;
chmod 644 AUTHORS COPYING ChangeLog NEWS README TODO docs/*

#fix encoding
/usr/bin/iconv -f iso8859-1 -t utf-8 AUTHORS > AUTHORS.conv && touch -r AUTHORS AUTHORS.conv && /bin/mv -f AUTHORS.conv AUTHORS

# Autotools
autoreconf -vif


%build

%configure2_5x --disable-static
# remove rpath from libtool
sed -i.rpath 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i.rpath 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make


%install
rm -rf %buildroot
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

rm -f %buildroot/%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc README TODO ChangeLog
%_bindir/faac
%_mandir/man1/faac.1*

%files -n %libname
%defattr(-,root,root)
%_libdir/libfaac*so.%{major}*

%files -n %develname
%defattr(-,root,root)
%_libdir/*.so
%_includedir/*


%changelog
* Fri Feb 20 2015 bb <bb> 1.28-3pclos2015
- rebuild new glibc

* Tue Feb 22 2011 Texstar <texstar at gmail.com> 1.28-2pclos2011
- rebuild against updated libmp4v2

* Wed May 13 2009 don_crissti <don_crissti@gmx.com> 1.28-1pclos2009
- new version
- requires libmp4v2 instead libmpeg4ip

